| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.IndicatorLightTestControl Class Reference
Inheritance diagram for IG.Forms.IndicatorLightTestControl:
[legend]
Collaboration diagram for IG.Forms.IndicatorLightTestControl:
[legend]

## Public Member Functions
| IndicatorLightTestControl ()
void | CopyState ()
| Copies indicator light's state to controls of the current control. More...
void | CopySettings ()
| Copies indicator light's properties (without the state) to the state of this testing control. More...

## Protected Member Functions
void | CopyAll ()
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
IndicatorLight | Indicator`[get]`

## Private Member Functions
void | chkOff_CheckedChanged (object sender, EventArgs e)
void | chkOk_CheckedChanged (object sender, EventArgs e)
void | chkBusy_CheckedChanged (object sender, EventArgs e)
void | chkError_CheckedChanged (object sender, EventArgs e)
void | btnBlinkOnce_Click (object sender, EventArgs e)
void | btnBlinkTwice_Click (object sender, EventArgs e)
void | chkBlinking_CheckedChanged (object sender, EventArgs e)
void | chkThrowOnInvalid_CheckedChanged (object sender, EventArgs e)
void | chkOuterBorder_CheckedChanged (object sender, EventArgs e)
void | chkLabelBorder_CheckedChanged (object sender, EventArgs e)
void | chkHasOff_CheckedChanged (object sender, EventArgs e)
void | chkHasOk_CheckedChanged (object sender, EventArgs e)
void | chkHasBusy_CheckedChanged (object sender, EventArgs e)
void | chkHasError_CheckedChanged (object sender, EventArgs e)
void | txtLabelText_Validated (object sender, EventArgs e)
void | txtLabelText_TextChanged (object sender, EventArgs e)
void | btnLabelColor_Click (object sender, EventArgs e)
void | numOuterMargin_ValueChanged (object sender, EventArgs e)
void | numOuterPadding_ValueChanged (object sender, EventArgs e)
void | numLabelMargin_ValueChanged (object sender, EventArgs e)
void | numLabelPadding_ValueChanged (object sender, EventArgs e)
void | numBlinkTime_ValueChanged (object sender, EventArgs e)
void | fontSelectorSimple1_FontSelected (object sender, FontEventArgs args)
void | btnBlinkYellow3_Click (object sender, EventArgs e)
void | btnBlinkError2x_Click (object sender, EventArgs e)
void | comboDirection_SelectedIndexChanged (object sender, EventArgs e)
void | comboDirection_Click (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
IG.Forms.IndicatorLight | indicatorLight1
System.Windows.Forms.CheckBox | chkThrowOnInvalid
System.Windows.Forms.CheckBox | chkOuterBorder
System.Windows.Forms.CheckBox | chkLabelBorder
System.Windows.Forms.CheckBox | chkHasOff
System.Windows.Forms.CheckBox | chkHasOk
System.Windows.Forms.CheckBox | chkHasBusy
System.Windows.Forms.CheckBox | chkHasError
System.Windows.Forms.GroupBox | grpProperties
System.Windows.Forms.TextBox | txtLabelText
System.Windows.Forms.NumericUpDown | numOuterPadding
System.Windows.Forms.NumericUpDown | numOuterMargin
System.Windows.Forms.Label | lblLabelMargin
System.Windows.Forms.Label | lblOuterMargin
System.Windows.Forms.NumericUpDown | numLabelPadding
System.Windows.Forms.NumericUpDown | numLabelMargin
System.Windows.Forms.Button | btnLabelColor
System.Windows.Forms.GroupBox | grpState
System.Windows.Forms.CheckBox | chkOff
System.Windows.Forms.ColorDialog | colorDialog1
System.Windows.Forms.CheckBox | chkBlinking
System.Windows.Forms.CheckBox | chkError
System.Windows.Forms.CheckBox | chkBusy
System.Windows.Forms.CheckBox | chkOk
System.Windows.Forms.Button | btnBlinkTwice
System.Windows.Forms.Button | btnBlinkOnce
System.Windows.Forms.Label | lblBlinkTime
System.Windows.Forms.NumericUpDown | numBlinkTime
System.Windows.Forms.Label | label1
System.Windows.Forms.Label | lblFont
FontSelectorSimple | fontSelectorSimple1
System.Windows.Forms.Label | lblLabelFont
System.Windows.Forms.Button | btnBlinkYellow3
System.Windows.Forms.Button | btnBlinkError2x
System.Windows.Forms.ComboBox | comboDirection
System.Windows.Forms.Label | lblFlowDirection
System.Windows.Forms.Panel | pnlIndicatorContainerInner
System.Windows.Forms.Panel | pnlIndicatorContainerOuter

## Constructor & Destructor Documentation

IG.Forms.IndicatorLightTestControl.IndicatorLightTestControl | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.IndicatorLightTestControl.CopyAll | ( |  | ) |
| inline protected

void IG.Forms.IndicatorLightTestControl.CopyState | ( |  | ) |
| inline

Copies indicator light's state to controls of the current control.

By state we just mean state that is meant to change during operation, i.e. mode of the light (like Off, OK, ..., IsBlinking).

void IG.Forms.IndicatorLightTestControl.CopySettings | ( |  | ) |
| inline

Copies indicator light's properties (without the state) to the state of this testing control.

void IG.Forms.IndicatorLightTestControl.chkOff_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.Reporter.

void IG.Forms.IndicatorLightTestControl.chkOk_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.Reporter.

void IG.Forms.IndicatorLightTestControl.chkBusy_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.Reporter.

void IG.Forms.IndicatorLightTestControl.chkError_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.Reporter.

void IG.Forms.IndicatorLightTestControl.btnBlinkOnce_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.btnBlinkTwice_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.chkBlinking_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.chkThrowOnInvalid_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.chkOuterBorder_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.chkLabelBorder_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.chkHasOff_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.chkHasOk_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.chkHasBusy_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.chkHasError_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.txtLabelText_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.txtLabelText_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.btnLabelColor_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.numOuterMargin_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.numOuterPadding_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.numLabelMargin_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.numLabelPadding_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.numBlinkTime_ValueChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.fontSelectorSimple1_FontSelected | ( | object | sender,
|  | FontEventArgs | args
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.btnBlinkYellow3_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.btnBlinkError2x_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.comboDirection_SelectedIndexChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.IndicatorLightTestControl.comboDirection_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.IndicatorLightTestControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.IndicatorLightTestControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.IndicatorLightTestControl.components = null
| private

Required designer variable.

IG.Forms.IndicatorLight IG.Forms.IndicatorLightTestControl.indicatorLight1
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkThrowOnInvalid
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkOuterBorder
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkLabelBorder
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkHasOff
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkHasOk
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkHasBusy
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkHasError
| private

System.Windows.Forms.GroupBox IG.Forms.IndicatorLightTestControl.grpProperties
| private

System.Windows.Forms.TextBox IG.Forms.IndicatorLightTestControl.txtLabelText
| private

System.Windows.Forms.NumericUpDown IG.Forms.IndicatorLightTestControl.numOuterPadding
| private

System.Windows.Forms.NumericUpDown IG.Forms.IndicatorLightTestControl.numOuterMargin
| private

System.Windows.Forms.Label IG.Forms.IndicatorLightTestControl.lblLabelMargin
| private

System.Windows.Forms.Label IG.Forms.IndicatorLightTestControl.lblOuterMargin
| private

System.Windows.Forms.NumericUpDown IG.Forms.IndicatorLightTestControl.numLabelPadding
| private

System.Windows.Forms.NumericUpDown IG.Forms.IndicatorLightTestControl.numLabelMargin
| private

System.Windows.Forms.Button IG.Forms.IndicatorLightTestControl.btnLabelColor
| private

System.Windows.Forms.GroupBox IG.Forms.IndicatorLightTestControl.grpState
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkOff
| private

System.Windows.Forms.ColorDialog IG.Forms.IndicatorLightTestControl.colorDialog1
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkBlinking
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkError
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkBusy
| private

System.Windows.Forms.CheckBox IG.Forms.IndicatorLightTestControl.chkOk
| private

System.Windows.Forms.Button IG.Forms.IndicatorLightTestControl.btnBlinkTwice
| private

System.Windows.Forms.Button IG.Forms.IndicatorLightTestControl.btnBlinkOnce
| private

System.Windows.Forms.Label IG.Forms.IndicatorLightTestControl.lblBlinkTime
| private

System.Windows.Forms.NumericUpDown IG.Forms.IndicatorLightTestControl.numBlinkTime
| private

System.Windows.Forms.Label IG.Forms.IndicatorLightTestControl.label1
| private

System.Windows.Forms.Label IG.Forms.IndicatorLightTestControl.lblFont
| private

FontSelectorSimple IG.Forms.IndicatorLightTestControl.fontSelectorSimple1
| private

System.Windows.Forms.Label IG.Forms.IndicatorLightTestControl.lblLabelFont
| private

System.Windows.Forms.Button IG.Forms.IndicatorLightTestControl.btnBlinkYellow3
| private

System.Windows.Forms.Button IG.Forms.IndicatorLightTestControl.btnBlinkError2x
| private

System.Windows.Forms.ComboBox IG.Forms.IndicatorLightTestControl.comboDirection
| private

System.Windows.Forms.Label IG.Forms.IndicatorLightTestControl.lblFlowDirection
| private

System.Windows.Forms.Panel IG.Forms.IndicatorLightTestControl.pnlIndicatorContainerInner
| private

System.Windows.Forms.Panel IG.Forms.IndicatorLightTestControl.pnlIndicatorContainerOuter
| private

## Property Documentation

IndicatorLight IG.Forms.IndicatorLightTestControl.Indicator
| get protected

The documentation for this class was generated from the following files:

- igforms/Utilities/BasicControls/IndicatorLightTestControl.cs
- igforms/Utilities/BasicControls/IndicatorLightTestControl.Designer.cs